<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"><html xmlns="http://www.w3.org/1999/xhtml"><head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<a class="dashingAutolink" name="autolink-741"></a><a class="dashAnchor" name="//apple_ref/cpp/Package/XHXKit%3A%20XHXKit"></a><title>XHXKit: XHXKit</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">XHXKit
   &nbsp;<span id="projectnumber">4.10.0.12</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('md___users_scar1900__developer__x_h_x_kit__r_e_a_d_m_e.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow" onmouseover="return searchBox.OnSearchSelectShow()" onmouseout="return searchBox.OnSearchSelectHide()" onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="PageDoc"><div class="header">
  <div class="headertitle">
<div class="title">XHXKit </div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><p><a href="https://travis-ci.org/ckools/XHXKit"><img src="http://img.shields.io/travis/ckools/XHXKit.svg?style=flat" alt="CI Status" style="pointer-events: none;" class="inline"/></a> <a href="http://cocoapods.org/pods/XHXKit"><img src="https://img.shields.io/cocoapods/v/XHXKit.svg?style=flat" alt="Version" style="pointer-events: none;" class="inline"/></a> <a href="http://cocoapods.org/pods/XHXKit"><img src="https://img.shields.io/cocoapods/l/XHXKit.svg?style=flat" alt="License" style="pointer-events: none;" class="inline"/></a> <a href="http://cocoapods.org/pods/XHXKit"><img src="https://img.shields.io/cocoapods/p/XHXKit.svg?style=flat" alt="Platform" style="pointer-events: none;" class="inline"/></a></p>
<h1><a class="anchor" id="autotoc_md1"></a>
Example</h1>
<p>To run the example project, clone the repo, and run <code>pod install</code> from the Example directory first.</p>
<h1><a class="anchor" id="autotoc_md2"></a>
Requirements</h1>
<h1><a class="anchor" id="autotoc_md3"></a>
Installation</h1>
<p>XHXKit is available through <a href="http://cocoapods.org">CocoaPods</a>. To install it, simply add the following line to your Podfile:</p>
<div class="fragment"><div class="line">pod &#39;XHXKit&#39;</div>
</div><!-- fragment --><h1><a class="anchor" id="autotoc_md4"></a>
Author</h1>
<p>RiverRun, <a href="#" onclick="location.href=&#39;mai&#39;+&#39;lto:&#39;+&#39;zha&#39;+&#39;ng&#39;+&#39;qia&#39;+&#39;oq&#39;+&#39;iao&#39;+&#39;@k&#39;+&#39;aik&#39;+&#39;e.&#39;+&#39;la&#39;; return false;">zhang<span style="display: none;">.nosp@m.</span>qiao<span style="display: none;">.nosp@m.</span>qiao@<span style="display: none;">.nosp@m.</span>kaik<span style="display: none;">.nosp@m.</span>e.la</a></p>
<h1><a class="anchor" id="autotoc_md5"></a>
License</h1>
<p>XHXKit is available under the MIT license. See the LICENSE file for more info.</p>
<hr/>
<h1><a class="anchor" id="autotoc_md7"></a>
XHXKit</h1>
<p>**XHXKit**包含一些通用UI及功能组件、目前包含的主要模块及功能如下：</p>
<ul>
<li><b>Base</b></li>
<li><em>Foundation</em> 目前包含线程安全的字典及数组、模拟多继承的&#39;NSProxy&#39;子类。</li>
<li><em>UI</em> 常用控件，例如带placeholder的UITextView、扩展点击范围的button等。</li>
<li><b>Blank</b> 处理空视图、占位图等功能，通过category 的方式。</li>
<li><b>DeviceManager</b> 获取当前设备的相关信息、类似UUID、IMSI、运营商、设备名称、APP版本等。</li>
<li><b>GradientView</b> 穿件渐变色视图，提供颜色、方向等参数。</li>
<li><b>KeyboardManager</b> 处理输入框键盘遮盖的类。</li>
<li><b>Navigator</b> APP当前视图控制器、各类window的获取，页面的push/pop present/dismiss等方法。</li>
<li><b>PickerView</b> pickerView使用封装，支持常用属性的修改。默认样式为开课啦直播选择视图风格。</li>
<li><b>Refresh</b> 提供UIScrollView之类视图上拉刷新及上拉加载更多的功能。</li>
<li><b>SimButton</b> UIButton 子类，支持调整button内部titlelabel &amp; imageView 的位置，已经二者之间的间距。</li>
<li><b>Tabbar</b> 新航线直播选课页分页等pageView视图、支持分页状态栏的定制，XHXTabItem支持title、image等样式的处理。</li>
<li><b>Toast</b> 视图HUD弹窗提醒，涵盖成功，失败，info、单独图片，单独文字、混合等视图样式。区分添加Windows及View层级。具体使用规范参照Example for XHXKit 工程。 </li>
</ul>
</div></div><!-- contents -->
</div><!-- PageDoc -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by <a href="http://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20 </li>
  </ul>
</div>


</body></html>